#include "MediaAutoPauseModule.h"

namespace UkuiAudioFramwork
{
MediaAutoPauseModule& MediaAutoPauseModule::getInstance()
{
    static MediaAutoPauseModule instance;
    return instance;
}

void MediaAutoPauseModule::setJson(std::shared_ptr<RestoreVolumeJson> json)
{
    m_pJson = json;
}

bool MediaAutoPauseModule::getAutoPauseStatus()
{
    auto status = m_pJson->getValue("auto-pause");

    if (status)
        return *status;

    std::cerr << "getAutoPauseStatus failed!" << std::endl;

    return false;
}

void MediaAutoPauseModule::setAutoPauseStatus(bool status)
{
    m_pJson->setValue("auto-pause", status);
}
}
